# TableSelect::limit

(No version information available, might only be in Git)

TableSelect::limit — Limit selected rows

### Description

public mysql_xdevapi\TableSelect::limit ( integer `$rows` ) : mysql_xdevapi\TableSelect

Sets the maximum number of records or documents to return.

### Parameters

`rows`

  The maximum number of records or documents.

### Return Values

A TableSelect object.

### Examples

Example #1 mysql_xdevapi\TableSelect::limit() example

`<?php
$session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");
$schema = $session->getSchema("addressbook");
$table = $schema->getTable("names");
$result = $table->select('name', 'age')
->limit(1)
->execute();
$row = $result->fetchAll();
print_r($row);
?>`

The above example will output something similar to:

    Array
    (
        [0] => Array
            (
                [name] => John
                [age] => 42
            )
    )